Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaFacet

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaFacet

Direct Known Subclasses:
  XmlSchemaEnumerationFacet, XmlSchemaMaxExclusiveFacet, XmlSchemaMaxInclusiveFacet, XmlSchemaMinExclusiveFacet, XmlSchemaMinInclusiveFacet, XmlSchemaNumericFacet, XmlSchemaPatternFacet, XmlSchemaWhiteSpaceFacet

    public abstract class XmlSchemaFacet

extends XmlSchemaAnnotated

Abstract class for all facets that are used when simple types are derived by restriction.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`protected` | `XmlSchemaFacet()` Creates new XmlSchemaFacet
`protected` | `XmlSchemaFacet(java.lang.Object value, boolean fixed)`

Method Summary
`static XmlSchemaFacet` | `construct(org.w3c.dom.Element el)`
`java.lang.Object` | `getValue()`
`boolean` | `isFixed()`
`void` | `setFixed(boolean fixed)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaFacet

    protected XmlSchemaFacet()

  Creates new XmlSchemaFacet

### XmlSchemaFacet

    protected XmlSchemaFacet(java.lang.Object value,
                             boolean fixed)

Method Detail

### isFixed

    public boolean isFixed()

### setFixed

    public void setFixed(boolean fixed)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### construct

    public static XmlSchemaFacet construct(org.w3c.dom.Element el)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.